library nativelib;

{ Important note about DLL memory management: ShareMem must be the
  first unit in your library's USES clause AND your project's (select
  Project-View Source) USES clause if your DLL exports any procedures or
  functions that pass strings as parameters or function results. This
  applies to all strings passed to and from your DLL--even those that
  are nested in records and classes. ShareMem is the interface unit to
  the BORLNDMM.DLL shared memory manager, which must be deployed along
  with your DLL. To avoid using BORLNDMM.DLL, pass string information
  using PChar or ShortString parameters. }

uses
  Windows,
  SysUtils,
  Math,
  Classes;

{$R *.res}

function Enigma_Sin(Angle : double) : double; stdcall;
begin
  Result := Sin(Angle);
end;

function Enigma_Cos(Angle : double) : double; stdcall;
begin
  Result := Cos(Angle);
end;

function Enigma_Tan(Angle : double) : double; stdcall;
begin
  Result := Tan(Angle);
end;


exports
  Enigma_Sin,
  Enigma_Cos,
  Enigma_Tan;

begin
end.
